// test.cpp - Miembros que son punteros
#include <iostream>
#include <iomanip>
#include "iniciar.h"
#include "ptr_vector.h"
using namespace std;

void fnVisualizar(const CVector&);

int main()
{
  CIniciar iniciar; // objeto CIniciar

  Ptr_CVector vector(5);
  for (int i = 0; i < vector->nElementos; i++)
  {
    vector[i] = new CVector(i+1);
    iniciar.valor(i);
    iniciar(*vector[i]);
    fnVisualizar(*vector[i]);
  }

  for (int i = 0; i < vector->nElementos; i++)
    delete vector[i];
}

void fnVisualizar(const CVector& v)
{
  int ne = v.longitud();
  for (int i = 0; i < ne; i++)
    cout << setw(7) << v[i];
  cout << "\n\n";
}

